Image 01
profile-image

oever

Jos van den Oever
Strigi

Various KDE 1.-4. Improvements by oever 126 comments

Of course you can certainly run strigi on KDE 4.2.
The client can be started with 'strigiclient'.
The default backend is CLucene. If strigi is run in combination with Nepomuk the backend is soprano. Soprano uses either redland or sesame. There are no license problems whatsoever. - Feb 03 2009
Strigi

Various KDE 1.-4. Improvements by oever 126 comments

Qt 4 is certainly optional. You can use strigi without Qt4. Then you need to use the strigi applet as the gui.

- Aug 07 2007
Strigi

Various KDE 1.-4. Improvements by oever 126 comments

Of course. I just updated it. Have fun! - May 05 2007
Strigi

Various KDE 1.-4. Improvements by oever 126 comments

You may have an older version of libstreamanalyzer installed - May 04 2007
KEyes

Various KDE Stuff by sundance 7 comments

http://www.vandenoever.info/misc/keyes/ - Jan 12 2007
Strigi

Various KDE 1.-4. Improvements by oever 126 comments

Could you post such messages to the mailing list? That is more appropriate for such errors. - Dec 13 2006
Strigi

Various KDE 1.-4. Improvements by oever 126 comments

For now it is better to use CLucene. The Estraier backend is not completely functional. - Dec 13 2006
Strigi

Various KDE 1.-4. Improvements by oever 126 comments

Can you send the backtrace to strigi-devel@lists.sf.net ? - Dec 13 2006
Strigi

Various KDE 1.-4. Improvements by oever 126 comments

You dont need Qt4 at all. Only if you want to use the standard search client do you need it. You can use StrigiApplet instead of the Qt 4 version. - Dec 13 2006
Strigi

Various KDE 1.-4. Improvements by oever 126 comments

http://fboudra.free.fr/debian/strigi_0.3.10-1/
has packages for debian.
Packages for edgy regularly appear there too. - Dec 02 2006
Strigi

Various KDE 1.-4. Improvements by oever 126 comments

Oh that's odd, I've not encountered this. The daemon will print a message that it cannot read the file, but that's all. - Nov 28 2006
Strigi

Various KDE 1.-4. Improvements by oever 126 comments

Nice to see people want translations already! I shows that userbase is increasing. I will look into what translation mechanism I will use. The strigi daemon is not a Qt application (only some clients are) so Qt's mechanism cannot be used.

Suggestions are welcome. - Nov 14 2006
Strigi

Various KDE 1.-4. Improvements by oever 126 comments

Are you using the PIC option described on the wiki? - Sep 18 2006
Strigi

Various KDE 1.-4. Improvements by oever 126 comments

hi yoho,

does the daemon crash while indexing? if so, it would be useful if you could find out if a particular file is causing this. you can do so by running 'dummyindexer' on the same directory as you wanted to index. - Sep 15 2006
Strigi

Various KDE 1.-4. Improvements by oever 126 comments

Hi Franzi,

This is an unfortunate bug that crept into version 0.3.8. It's related to inotify. We're resolving the issue with haste.
In the meantime you can disable inotify (see README) to avoid the problem. - Sep 15 2006
Strigi

Various KDE 1.-4. Improvements by oever 126 comments

Are you using Strigi 0.3.2 with cmake?
This looks for the shared version:
"Found CLucene library: /usr/local/lib/libclucene.so" - Jul 06 2006
Strigi

Various KDE 1.-4. Improvements by oever 126 comments

Hi John, You seem to've run into a compiler problem. I think this can be avoided by enabling visibility.

http://www.nabble.com/Error-compiling-kdelibs4_snapshot-on-AMD64-t1645829.html - Jul 05 2006
Strigi

Various KDE 1.-4. Improvements by oever 126 comments

Hi Liquidat,

Currently the other backends are not 100% implemented and therefore you need CLucene. There is now a period of adding features. Once that ends the sqlite backend will get some attention.

Check the wiki for info too:
http://strigi.sf.net/ - Jun 29 2006
Strigi

Various KDE 1.-4. Improvements by oever 126 comments

You need at least CLucene 0.9.13
Good luck,
Jos - Jun 17 2006
Strigi

Various KDE 1.-4. Improvements by oever 126 comments

There are 10 results per page, but no button to go to the next page yet. I will add this in the next release. - Jun 16 2006
Strigi

Various KDE 1.-4. Improvements by oever 126 comments

The core code of Kitten is has no dependencies on KDE libraries. Only the GUI and the pluggable file analyzers (to come) will have these dependencies. This makes it easy to use the same code for two version of KDE.

The KDE3 gui is quite small and a large part of that will be based on a kio_slave that displays HTML. This also makes it easier to support different desktops. - Jun 15 2006
bengsaver

Screensavers by oever 5 comments

I've added a OpenGL frontend.

I home there are some OpenGL guru's that can take a look at it, to give me some suggestions to make it even cooler - Apr 17 2003
KDE Shock Wave

Wallpapers KDE Plasma by fuzatto 2 comments

Simple, but nice. I like it. - Apr 09 2003
bengsaver

Screensavers by oever 5 comments

Maybe you don't like the colours. Well, the next version will have a dialog for that.

Until then, please test the screensaver before you comment. It's really fascinating to watch.

Ok, it doesn't use OpenGL like the 'real' screensavers, but it's still nice. The next version has a clear separation of GUI and physics, so it's not very difficult to create a 3D version of this screensaver. Unfortunately, I don't have any hardware fast enough to develop such a screensaver (no hardware 3D acceleration). - Apr 08 2003